﻿/*----------------------------------------LOGIN---------------------------------------------------------------*/
body {
    background-image: url(Imagenes/fondo_transparente.png);
    background-size: cover;
    padding-top: 10px;
}

#textObservaciones {
    max-width: 90% !important;
}

#contenedorPrincipal {
    background-color: transparent;
    padding-top: 100px;
    /*border-radius: 20px;
    border-width: 5px;
    border-color: #003f62;
    border: solid;*/
}

.tituloPrincipal {
    text-align: center;
    font-family: 'Times New Roman', Times, serif;
    font-size: 50px;
    color: #003f62;
}

img {
    /*display: block;
    margin: auto;*/
}

.avisoPrincipal {
    background-color: white;
    text-align: center;
    font-family: 'Times New Roman', Times, serif;
    font-size: 20px;
    color: #003f62;
    border-radius: 20px;
    border-width: 5px;
    border-color: #003f62;
    border: solid;
    padding-bottom: 20px;
    padding-top: 10px;
}

.login {
    background-color: white;
    width: 350px;
    /*height: 400px;*/
    margin: 0 auto;
    text-align: center;
    border-radius: 10px;
    padding-top: 25px;
    padding-bottom: 20px;
    border-style: solid;
    border-color: #84bc17;
}

#centrar {
    margin: 0 auto;
    height: 40px;
}

.imagenLogin {
    margin-bottom: 10px;
    background-color: white;
}

.textoLogin {
    color: #84bc17;
    padding-bottom: 10px;
    font-size: 26px;
}

.textoLogin2 {
    color: #84bc17;
    padding-bottom: 20px;
    font-size: 26px;
}

/*----------------------------------------FICHAR---------------------------------------------------------------*/
.ficharDesfichar {
    background-color: white;
    width: 350px;
    /*height: 400px;*/
    margin: 0 auto;
    text-align: center;
    border-radius: 10px;
    padding-top: 15px;
    /*padding-bottom: 2px;*/
    border-color: #84bc17;
    border-width: 5px;
    border-style: solid;
}

.imagenFichar {
    margin-bottom: 10px;
    background-color: #003f62;
    text-align: initial;
}

.textoFichar {
    color: #84bc17;
    padding-bottom: 10px;
    font-size: 18px;
    text-decoration: underline;
    margin-right: 5px;
    margin-left: -5px !important;
    margin-bottom: 10px;
}

.textoFichar2 {
    color: #003f62;
    padding-top: 20px;
    padding-bottom: 5px;
    font-size: 16px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    background-color: white;
    border-radius: 10px;
}

.nombreUsuario {
    margin-bottom: 12px;
    font-size: 20px;
}

.guardadoCorrecto {
    margin-bottom: 10px;
}

#layoutUserMovil {
    display: none;
}

#layoutAdminMovil {
    display: none;
}

#btnLimpiar {
    width: 25px !important;
    margin-left: 10px;
}

#btnSearch {
    width: 25px !important;
    margin-left: 20px;
}

#btnExportarOld {
    width: 25px !important;
}

#btnsVerFichajes {
    width: 27px;
    float: left;
    margin-left: 4%;
}

#botoneraVerFich {
    width: 75px;
    float: left;
    padding-top: 26px;
    padding-bottom: 26px;
    /*margin-left: 79%;*/
}

#divAvisoNoFicharMovil {
    display: none;
}

#divAvisoNoFicharMovil {
    display: block;
    background-color: white;
    width: 300px;
    /*height: 400px;*/
    margin: 0 auto;
    text-align: center;
    border-radius: 10px;
    padding-top: 15px;
    /*padding-bottom: 2px;*/
    border-color: #84bc17;
    border-width: 5px;
    border-style: solid;
    margin-top: 100px;
}

@media screen and (max-width: 990px) {
    #botoneraVerFich {
        /*width: 40%;
        float: none;
        padding-top: 137px;
        margin-left: 77%;*/
    }

    #layoutUser {
        display: none;
    }

    #layoutUserMovil {
        display: block;
    }

    #layoutAdmin {
        display: none;
    }

    #layoutAdminMovil {
        display: block;
    }

    #campoOcultar {
        display: none;
    }

    

}

@media screen and (max-width: 768px) {
    #layoutUser {
        display: none;
    }

    #layoutUserMovil {
        display: block;
    }

    #layoutAdmin {
        display: none;
    }

    #layoutAdminMovil {
        display: block;
    }

    #campoOcultar {
        display: none;
    }

    #btnLimpiar {
        width: 25px !important;
    }

    #btnSearch {
        width: 25px !important;
    }

    #btnExportarOld {
        width: 25px !important;
    }

    /*#btnsVerFichajes {
        width: 20%;
        float: left;
        margin-left: 4%;
    }

    #botoneraVerFich {
        width: 40%;
        float: none;
        padding-top: 137px;
        margin-left: 68%;
    }*/

    

}

@media screen and (max-width: 400px) {
    .login {
        background-color: white;
        width: 300px;
        /*height: 400px;*/
        margin: 0 auto;
        text-align: center;
        border-radius: 10px;
        padding-top: 25px;
        padding-bottom: 20px;
    }

    .ficharDesfichar {
        background-color: white;
        width: 300px;
        /*height: 400px;*/
        margin: 0 auto;
        text-align: center;
        border-radius: 10px;
        padding-top: 15px;
        /*padding-bottom: 2px;*/
        border-color: #84bc17;
        border-width: 5px;
        border-style: solid;
    }

    .container .jumbotron, .container-fluid .jumbotron {
        padding-right: 1px;
        padding-left: 1px;
        border-radius: 6px;
    }

    .body-content {
        padding-left: 1px !important;
        padding-right: 1px !important;
    }

    #btnLimpiar {
        width: 20px !important;
    }

    #btnSearch {
        width: 20px !important;
    }

    #btnExportarOld {
        width: 20px !important;
    }

    .backGroundTransparentDigi {
        padding: 0 !important;
        margin: auto;
        border-radius: 12px;
    }

    

}
/*----------------------------------------ADMINISTRADORES---------------------------------------------------------------*/

.navbar-inverse .navbar-nav > li > a {
    color: white !important;
}

.labelsCambioPass {
    text-align: left;
    margin-left: 10%;
}


/*----------------------------------------MENU ADMINISTRADORES---------------------------------------------------------------*/

.itemMenu {
    float: right;
    margin-top: 19px;
    margin-right: 11px;
    margin-left: 25px;
}

.dropdown > a:hover {
    background-color: transparent !important;
    text-decoration: none;
}

.dropdown-menu > li > a:hover {
    background-color: #ddd !important;
    color: black !important;
}

.titulosUsuarios {
    margin-top: 45px;
    margin-bottom: 40px;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-decoration-color: #84bc17;
    color: black;
}

.tituloContenedor {
    text-align:center;
    margin-bottom: 40px;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-decoration-color: #84bc17;
    color: black;
}

.leyendaMenu {
    color: #84bc17;
    margin-bottom: 10px;
}

/* Estilos para VerFichajesSemana la parte de causas justificadas */

.imgIconCerrado {
    height: 40px;
    width: 40px;
    margin: 10px 0px;
}

.imgIconVacaciones {
    height: 40px;
    width: 40px;
    margin: 10px 0px;
}

.imgIconBolsaHoras {
    height: 40px;
    width: 40px;
    margin: 10px 0px;
}

.imgIconMedico {
    height: 40px;
    width: 40px;
    margin: 10px 0px;
}

.imgIconFaltaSinJustificar {
    height: 40px;
    width: 40px;
    margin: 10px 0px;    
}

.divContentIconFaltaJsutificada {
    border-top: solid 1px #84bc17;
}


/* -------- SPINNER -------- */
.loading-spinner {
    display: inline-block;
    width: 50px;
    height: 50px;
    border: 10px solid rgba(200, 200, 200);
    border-radius: 50%;
    border-top-color: #84bc17;
    animation: spin 1s ease-in-out infinite;
    margin:auto;
    margin-top:20px;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}